#ifndef SRC_WINDOWS_UPDATER_UPDATE_DIALOG_HPP_
#define SRC_WINDOWS_UPDATER_UPDATE_DIALOG_HPP_

#include <QDialog>
#include "src/core/version.hpp"

namespace Ui {
	class UpdateDialog;
}

class UpdateDialog : public QDialog {
	Q_OBJECT

	private:
	Ui::UpdateDialog *m_ui;
	const Version &m_latestVersion;

	public:
	UpdateDialog( const Version &latestVersion, const QString &changelog );
	~UpdateDialog();

	bool stopReminders() const;

};



#endif /* SRC_WINDOWS_UPDATER_UPDATE_DIALOG_HPP_ */
